Attribute VB_Name = "mod_GetSQL_LinkCsv_s4p"
Option Compare Database
Option Explicit

' module name: mod_GetSQL_LinkCsv_s4p
'*************** Code Start ***************************************************
' Purpose  : Function to create and return SQL to link to a CSV file
' Author   : crystal (strive4peace)
' Code List: www.msaccessgurus.com/code.htm
' This code: https://msaccessgurus.com/VBA/GetSQL_LinkCsv.htm
' LICENSE  :
'   You may freely use and share this code, but not sell it.
'   Keep attribution. Mark your changes. Use at your own risk.
' Then use the SQL to create a saved query or to open a recordset
'--------------------------------------------------------------------------------
'                              GetSQL_LinkCsv_s4p
'--------------------------------------------------------------------------------'
Public Function GetSQL_LinkCsv_s4p( _
   psPath As String _
   , psFilename As String _
   ) As String
'230131 strive4peace
   Dim sConnect As String
   
   sConnect = "[Text;DATABASE=" _
      & psPath _
      & "].[" & psFilename _
      & "]"
   
   GetSQL_LinkCsv_s4p = "SELECT Q.* FROM " & sConnect & " as Q;"
   
End Function
'--------------------------------------------------------------------------------
'                             testSQL_LinkCsv_s4p
'--------------------------------------------------------------------------------'
Sub testGetSQL_LinkCsv_s4p()
   Dim sPath As String _
      , sFile As String _
      , sSQL As String
   
   sPath = "C:\MyPath"        '------------ customize
   sFile = "MyFilename.csv"   '------------ customize
   
   'Call GetSQL_LinkCsv_s4p
   sSQL = GetSQL_LinkCsv_s4p(sPath, sFile)
   
   MsgBox sSQL, , "done"
End Sub

'*************** Code End *****************************************************

